Bug 187513 - File selection window throws exception
File selection window throws exception
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Depends On:
  Show dependency treegraph
Reported: 2006-03-31 10:33 EST by Pedro Fernandes Macedo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-26 14:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pedro Fernandes Macedo 2006-03-31 10:33:02 EST
When using a JFileChooser using this piece of code:
JFileChooser filechooser = new JFileChooser();
The filechooser will show a blank list of files, as if the directory was empty
(which in my tests wasnt the case, since the filechooser was opening my home
directory). If you click on the white area where the files should be shown, the
following error:

Exception during event dispatch:
   at java.util.BitSet.set (libgcj.so.7)
   at javax.swing.DefaultListSelectionModel.setSelectionInterval (libgcj.so.7)
   at javax.swing.JList.setSelectedIndex (libgcj.so.7)
   at javax.swing.plaf.basic.BasicListUI$MouseInputHandler.mouseClicked
   at java.awt.AWTEventMulticaster.mouseClicked (libgcj.so.7)
   at java.awt.Component.processMouseEvent (libgcj.so.7)
   at java.awt.Component.processEvent (libgcj.so.7)
   at java.awt.Container.processEvent (libgcj.so.7)
   at java.awt.Component.dispatchEventImpl (libgcj.so.7)
   at java.awt.Container.dispatchEventImpl (libgcj.so.7)
   at java.awt.Component.dispatchEvent (libgcj.so.7)
   at java.awt.LightweightDispatcher.handleEvent (libgcj.so.7)
   at java.awt.Container.dispatchEventImpl (libgcj.so.7)
   at java.awt.Window.dispatchEventImpl (libgcj.so.7)
   at java.awt.Component.dispatchEvent (libgcj.so.7)
   at java.awt.EventQueue.dispatchEvent (libgcj.so.7)
   at java.awt.EventDispatchThread.run (libgcj.so.7)

The same jar works perfectly with the sun jvm. If necessary , I can provide the
source files outside of bugzilla (it's a custom software for one of our clients).
Comment 1 Thomas Fitzsimmons 2006-07-26 14:03:07 EDT
Fixed in Rawhide by libgcj backport.

Note You need to log in before you can comment on or make changes to this bug.